# class ISDNQ931CallMonitor | A Q.931 ISDN call monitor. More...
Full name | `TelEngine::ISDNQ931CallMonitor`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::ISDNQ931State [public ], TelEngine::SignallingCall [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~ISDNQ931CallMonitor ()
- inline bool netInit () const
- virtual SignallingEvent* getEvent (const Time& when)
- void setTerminate (const char* reason)
- virtual void* getObject (const String& name) const

#### Protected Methods

- ISDNQ931CallMonitor (ISDNQ931Monitor* controller, u_int32_t callRef, bool netInit)
- SignallingEvent* releaseComplete (const char* reason = 0)

## Detailed Description

Q.931 ISDN call monitor

~ISDNQ931CallMonitor () | ### ~ISDNQ931CallMonitor

[virtual]

Destructor

inline bool netInit () | ### netInit

[const]

Check if the initiator is from the network side of the data link

Returns: True if the initiator is from the network side of the data link, false if it is from the user side

SignallingEvent* getEvent (const Time& when) | ### getEvent

[virtual]

Get an event from this call This method is thread safe

Parameters:

when | The current time

Returns: SignallingEvent pointer or 0 if no events

Reimplemented from SignallingCall.

void setTerminate (const char* reason) | ### setTerminate

Set termination flag This method is thread safe

Parameters:

reason | Terminate reason

void* getObject (const String& name) | ### getObject

[const virtual]

Get a pointer to a data member or this call

Parameters:

name | Object name

Returns: The requested pointer or 0 if not exists

Reimplemented from RefObject.

ISDNQ931CallMonitor (ISDNQ931Monitor* controller, u_int32_t callRef, bool netInit) | ### ISDNQ931CallMonitor

[protected]

Constructor

Parameters:

controller | The call controller
callRef | The call reference
netInit | True if the initiator is from the network side of the link

SignallingEvent* releaseComplete (const char* reason = 0) | ### releaseComplete

[protected]

Clear all call data Remove from controller's queue. Decrease the object's refence count

Parameters:

reason | Optional release reason. If missing, the last reason is used

Returns: Pointer to an SignallingEvent of type Release

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.